function init(hero) {
    hero.setName("Bishop");
    hero.setTier(6);
    
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:rip_hunters_gun", true);
    
	hero.addPowers("pack:bishop");
        hero.addAttribute("WEAPON_DAMAGE", 4.0, 0);
   hero.addAttribute("PUNCH_DAMAGE", 8, 0);
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 1);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);	
    hero.addAttribute("STEP_HEIGHT", 0.5, 1);	
	
	
	 hero.addKeyBind("ENERGY_PROJECTION", "Absorbed Energy Beam", 1);
    hero.addKeyBind("CHARGED_BEAM", "Absorbed Energy Blast", 2);
    

 hero.addKeyBind("AIM", "key.aim", -1);

    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_RIPS_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun";
}
